---
search:
  tags:
    - Log di identità
    - POST
seo:
  description: >-
    Aggiorna il commento e i campi del nome di un’identità bloccata. Richiede
    una chiave Write.
sidebar:
  label: Aggiorna identità bloccata
  badge: POST
title: Aggiorna identità bloccata
type: openapi-operation
---
Aggiorna il commento e i campi del nome di un’identità bloccata. Richiede una chiave Write.

`POST /identity-logs/blocked/{blockedId}`

**Request body** (`application/json`, required)

- `comment` (string, required)
- `first_name` (string, required)
- `last_name` (string, required)
- `birthDate` (string) — Nuova data di nascita facoltativa, stessi formati della creazione. Omettila per mantenere la data salvata; non può essere cancellata.

Request body example:

```json
{
  "comment": "Updated note",
  "first_name": "Ada",
  "last_name": "Lovelace"
}
```

**Responses**

- `200` — Aggiornato
- `400` — Parametri o body non validi.
- `403` — Chiave API rifiutata (vedi \`Forbidden\`) oppure log di identità non attivi per l’organizzazione (\`Feature not available\`).
- `404` — Nessun elemento con questo id.

Response example, 200:

```json
{
  "success": true
}
```

Response example, 400:

```json
{
  "statusCode": 400,
  "message": "Validation failed for Field: name, Error: Required",
  "timestamp": "2024-04-20T12:00:00.000Z",
  "path": "/api/v1/suppliers"
}
```

Response example, 403:

```json
{
  "statusCode": 403,
  "message": "Feature not available",
  "timestamp": "2024-04-20T12:00:00.000Z",
  "path": "/api/v1/identity-logs"
}
```
